OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.EXT.CompiledVertexArray

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_compiled_vertex_array extension, see http://www.opengl.org/registry/specs/EXT/compiled_vertex_array.txt.

Synopsis

- glLockArrays :: GLint -> GLsizei -> IO ()
- glUnlockArrays :: IO ()
- gl_ARRAY_ELEMENT_LOCK_FIRST :: GLenum
- gl_ARRAY_ELEMENT_LOCK_COUNT :: GLenum

# Functions

glLockArrays :: GLint -> GLsizei -> IO ()Source

glUnlockArrays :: IO ()Source

# Tokens

gl_ARRAY_ELEMENT_LOCK_FIRST :: GLenum Source

gl_ARRAY_ELEMENT_LOCK_COUNT :: GLenum Source